# Moodle Stream Theme

Stream is a **Boost child Moodle 4+ theme** with some added features. And it's based on some excellent themes out there (check acknowledgements)
This is my first take on Moodle dev so bear with me. Experiment it with care and let me know what you think.


## Installation

1. Go to the Moodle plugins directory, select your current Moodle version, then choose a plugin with a Download button and download the ZIP file.
2. Login to your Moodle site as an admin and go to Administration > Site administration > Plugins > Install plugins.
3. Upload the ZIP file. You should only be prompted to add extra details (in the Show more section) if your plugin is not automatically detected.
4. If your target directory is not writeable, you will see a warning message.
5. Check the plugin validation report

The usual workflow. Please set up available options for a better end result. In most cases the default options will be loaded, but one should choose the best settings per each case.

## Features

- Homepage Main Slider (up to 5 slides)
- Social media support (Facebook, Youtube, Instagram, Linkedin, Pinterest, Twitter)
- Full Width or narrow (like Boost)
- Sticky secondary navigation menu
- Ability to add blocks before main content on the course page (check my course presentation block) and homepage
- Course header image from the course setting (defaults to theme image)
- Course completion in the course header
- Course name/shortname in course index
- Quick admin menu
- Capability to change theme settings - not only admin
- Frontpage widgets (categories with images, promobox, featured courses, ...)
- Activities navigation (prev / next) with tooltips
- Hidden course warning
- Login Layout page
- Activities' icons colors and outline

## Project Status

On going.

## Theme Translations

The pt_pt version is already available but we have to use AMOS. Other languages need to be translated and created.

## Default images credits

The theme includes the following default images. You are free to add your own but meanwhile you are free to enjoy the great work of all these great photographers. Thank you!

- Homepage Hero [Ivo Rainha - Unsplash](https://unsplash.com/pt-br/fotografias/Lg9NLmu4B_A?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
- Homepage Promobox [Shayna Douglas - Unsplash](https://unsplash.com/pt-br/fotografias/TQV8qkwuEzA?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
- Login Image [Janko Ferlič - Unsplash](https://unsplash.com/pt-br/fotografias/sfL_QOnmy00?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
- Default header image [Rhii Photography - Unsplash](https://unsplash.com/pt-br/fotografias/Xy6FpnFyVjo?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
- Default course card image [Erol Ahmed - Unsplash](https://unsplash.com/pt-br/fotografias/XsQ8nUKpAO4?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
- Default category card image [NORTHFOLK - Unsplash](https://unsplash.com/pt-br/fotografias/b_Qt9f2egBM?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)

## Acknowledgments

This theme is inspired by the following (great) Moodle themes:

- [Boost Union](https://github.com/moodle-an-hochschulen/moodle-theme_boost_union)
- [Almondb](https://github.com/themesalmond/moodle-theme_almondb)
- [Moove](https://github.com/willianmano/moodle-theme_moove)
- [Adaptable](https://github.com/gjb2048/moodle-theme_adaptable)


The filter [Filtercodes](https://github.com/michael-milette/moodle-filter_filtercodes/) was also very useful.

## External Services

Beyond what is packed with Moodle core this theme  also uses:

[Bunny Fonts](https://bunny.net/fonts/) GDPR Compliant font service, based in Europe .

## License

[GPL v3 (GNU General Public License)](http://www.gnu.org/licenses)

